<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Delete cohorts - local_cohortdelete
 *
 * @package local_cohortdelete
 * @copyright 2022 Jörg Richter
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

//defined('MOODLE_INTERNAL') || die;

require('../../config.php');

require($CFG->dirroot . '/local/cohortdelete/config.php');
require($CFG->dirroot . '/cohort/lib.php');

global $DB;

echo "<h1>Bulk delete cohorts</h1>";
echo "<p>Trying to delete cohorts by id-number: ".implode(',',$cohortstodeleteidnumbers)."</p>";

foreach ($cohortstodeleteidnumbers as $groupname) {

  if($cohort = $DB->get_record('cohort', array('idnumber' => $groupname), '*')) {
     echo "Deleting cohort ".$groupname.' ... ';
     cohort_delete_cohort($cohort);
     echo "done<br/>";
  } else {
     echo "No matching cohort for ".$groupname."<br/>";
  }
}


echo "<p>Trying to delete cohorts by name: ".implode(',',$cohortstodeletenames)."</p>";

foreach ($cohortstodeletenames as $groupname) {

  if($cohort = $DB->get_record('cohort', array('name' => $groupname), '*')) {
     echo "Deleting cohort ".$groupname.' ... ';
     cohort_delete_cohort($cohort);
     echo "done<br/>";
  } else {
     echo "No matching cohort for ".$groupname."<br/>";
  }
}

